/* Copyright 2014 Adobe Systems Incorporated (http://www.adobe.com/). All Rights Reserved.
   This software is licensed as OpenSource, under the Apache License, Version 2.0.
   This license is available at: http://opensource.org/licenses/Apache-2.0. */

// NOLINT(build/header_guard)

/* Mac Expert encoding aggregate initializer.

   Element values are glyph names. Index by code, get glyph name. */

/* 0   */   ".notdef",
/* 1   */   ".notdef",
/* 2   */   ".notdef",
/* 3   */   ".notdef",
/* 4   */   ".notdef",
/* 5   */   ".notdef",
/* 6   */   ".notdef",
/* 7   */   ".notdef",
/* 8   */   ".notdef",
/* 9   */   ".notdef",
/* 10  */   ".notdef",
/* 11  */   ".notdef",
/* 12  */   ".notdef",
/* 13  */   ".notdef",
/* 14  */   ".notdef",
/* 15  */   ".notdef",
/* 16  */   ".notdef",
/* 17  */   ".notdef",
/* 18  */   ".notdef",
/* 19  */   ".notdef",
/* 20  */   ".notdef",
/* 21  */   ".notdef",
/* 22  */   ".notdef",
/* 23  */   ".notdef",
/* 24  */   ".notdef",
/* 25  */   ".notdef",
/* 26  */   ".notdef",
/* 27  */   ".notdef",
/* 28  */   ".notdef",
/* 29  */   ".notdef",
/* 30  */   ".notdef",
/* 31  */   ".notdef",
/* 32  */   "space",
/* 33  */   "exclamsmall",
/* 34  */   "Hungarumlautsmall",
/* 35  */   "centoldstyle",
/* 36  */   "dollaroldstyle",
/* 37  */   "dollarsuperior",
/* 38  */   "ampersandsmall",
/* 39  */   "Acutesmall",
/* 40  */   "parenleftsuperior",
/* 41  */   "parenrightsuperior",
/* 42  */   "twodotenleader",
/* 43  */   "onedotenleader",
/* 44  */   "comma",
/* 45  */   "hyphen",
/* 46  */   "period",
/* 47  */   "fraction",
/* 48  */   "zerooldstyle",
/* 49  */   "oneoldstyle",
/* 50  */   "twooldstyle",
/* 51  */   "threeoldstyle",
/* 52  */   "fouroldstyle",
/* 53  */   "fiveoldstyle",
/* 54  */   "sixoldstyle",
/* 55  */   "sevenoldstyle",
/* 56  */   "eightoldstyle",
/* 57  */   "nineoldstyle",
/* 58  */   "colon",
/* 59  */   "semicolon",
/* 60  */   ".notdef",
/* 61  */   "threequartersemdash",
/* 62  */   ".notdef",
/* 63  */   "questionsmall",
/* 64  */   ".notdef",
/* 65  */   ".notdef",
/* 66  */   ".notdef",
/* 67  */   ".notdef",
/* 68  */   "Ethsmall",
/* 69  */   ".notdef",
/* 70  */   ".notdef",
/* 71  */   "onequarter",
/* 72  */   "onehalf",
/* 73  */   "threequarters",
/* 74  */   "oneeighth",
/* 75  */   "threeeighths",
/* 76  */   "fiveeighths",
/* 77  */   "seveneighths",
/* 78  */   "onethird",
/* 79  */   "twothirds",
/* 80  */   ".notdef",
/* 81  */   ".notdef",
/* 82  */   ".notdef",
/* 83  */   ".notdef",
/* 84  */   ".notdef",
/* 85  */   ".notdef",
/* 86  */   "ff",
/* 87  */   "fi",
/* 88  */   "fl",
/* 89  */   "ffi",
/* 90  */   "ffl",
/* 91  */   "parenleftinferior",
/* 92  */   ".notdef",
/* 93  */   "parenrightinferior",
/* 94  */   "Circumflexsmall",
/* 95  */   "hypheninferior",
/* 96  */   "Gravesmall",
/* 97  */   "Asmall",
/* 98  */   "Bsmall",
/* 99  */   "Csmall",
/* 100 */   "Dsmall",
/* 101 */   "Esmall",
/* 102 */   "Fsmall",
/* 103 */   "Gsmall",
/* 104 */   "Hsmall",
/* 105 */   "Ismall",
/* 106 */   "Jsmall",
/* 107 */   "Ksmall",
/* 108 */   "Lsmall",
/* 109 */   "Msmall",
/* 110 */   "Nsmall",
/* 111 */   "Osmall",
/* 112 */   "Psmall",
/* 113 */   "Qsmall",
/* 114 */   "Rsmall",
/* 115 */   "Ssmall",
/* 116 */   "Tsmall",
/* 117 */   "Usmall",
/* 118 */   "Vsmall",
/* 119 */   "Wsmall",
/* 120 */   "Xsmall",
/* 121 */   "Ysmall",
/* 122 */   "Zsmall",
/* 123 */   "colonmonetary",
/* 124 */   "onefitted",
/* 125 */   "rupiah",
/* 126 */   "Tildesmall",
/* 127 */   ".notdef",
/* 128 */   ".notdef",
/* 129 */   "asuperior",
/* 130 */   "centsuperior",
/* 131 */   ".notdef",
/* 132 */   ".notdef",
/* 133 */   ".notdef",
/* 134 */   ".notdef",
/* 135 */   "Aacutesmall",
/* 136 */   "Agravesmall",
/* 137 */   "Acircumflexsmall",
/* 138 */   "Adieresissmall",
/* 139 */   "Atildesmall",
/* 140 */   "Aringsmall",
/* 141 */   "Ccedillasmall",
/* 142 */   "Eacutesmall",
/* 143 */   "Egravesmall",
/* 144 */   "Ecircumflexsmall",
/* 145 */   "Edieresissmall",
/* 146 */   "Iacutesmall",
/* 147 */   "Igravesmall",
/* 148 */   "Icircumflexsmall",
/* 149 */   "Idieresissmall",
/* 150 */   "Ntildesmall",
/* 151 */   "Oacutesmall",
/* 152 */   "Ogravesmall",
/* 153 */   "Ocircumflexsmall",
/* 154 */   "Odieresissmall",
/* 155 */   "Otildesmall",
/* 156 */   "Uacutesmall",
/* 157 */   "Ugravesmall",
/* 158 */   "Ucircumflexsmall",
/* 159 */   "Udieresissmall",
/* 160 */   ".notdef",
/* 161 */   "eightsuperior",
/* 162 */   "fourinferior",
/* 163 */   "threeinferior",
/* 164 */   "sixinferior",
/* 165 */   "eightinferior",
/* 166 */   "seveninferior",
/* 167 */   "Scaronsmall",
/* 168 */   ".notdef",
/* 169 */   "centinferior",
/* 170 */   "twoinferior",
/* 171 */   ".notdef",
/* 172 */   "Dieresissmall",
/* 173 */   ".notdef",
/* 174 */   "Caronsmall",
/* 175 */   "osuperior",
/* 176 */   "fiveinferior",
/* 177 */   ".notdef",
/* 178 */   "commainferior",
/* 179 */   "periodinferior",
/* 180 */   "Yacutesmall",
/* 181 */   ".notdef",
/* 182 */   "dollarinferior",
/* 183 */   ".notdef",
/* 184 */   ".notdef",
/* 185 */   "Thornsmall",
/* 186 */   ".notdef",
/* 187 */   "nineinferior",
/* 188 */   "zeroinferior",
/* 189 */   "Zcaronsmall",
/* 190 */   "AEsmall",
/* 191 */   "Oslashsmall",
/* 192 */   "questiondownsmall",
/* 193 */   "oneinferior",
/* 194 */   "Lslashsmall",
/* 195 */   ".notdef",
/* 196 */   ".notdef",
/* 197 */   ".notdef",
/* 198 */   ".notdef",
/* 199 */   ".notdef",
/* 200 */   ".notdef",
/* 201 */   "Cedillasmall",
/* 202 */   ".notdef",
/* 203 */   ".notdef",
/* 204 */   ".notdef",
/* 205 */   ".notdef",
/* 206 */   ".notdef",
/* 207 */   "OEsmall",
/* 208 */   "figuredash",
/* 209 */   "hyphensuperior",
/* 210 */   ".notdef",
/* 211 */   ".notdef",
/* 212 */   ".notdef",
/* 213 */   ".notdef",
/* 214 */   "exclamdownsmall",
/* 215 */   ".notdef",
/* 216 */   "Ydieresissmall",
/* 217 */   ".notdef",
/* 218 */   "onesuperior",
/* 219 */   "twosuperior",
/* 220 */   "threesuperior",
/* 221 */   "foursuperior",
/* 222 */   "fivesuperior",
/* 223 */   "sixsuperior",
/* 224 */   "sevensuperior",
/* 225 */   "ninesuperior",
/* 226 */   "zerosuperior",
/* 227 */   ".notdef",
/* 228 */   "esuperior",
/* 229 */   "rsuperior",
/* 230 */   "tsuperior",
/* 231 */   ".notdef",
/* 232 */   ".notdef",
/* 233 */   "isuperior",
/* 234 */   "ssuperior",
/* 235 */   "dsuperior",
/* 236 */   ".notdef",
/* 237 */   ".notdef",
/* 238 */   ".notdef",
/* 239 */   ".notdef",
/* 240 */   ".notdef",
/* 241 */   "lsuperior",
/* 242 */   "Ogoneksmall",
/* 243 */   "Brevesmall",
/* 244 */   "Macronsmall",
/* 245 */   "bsuperior",
/* 246 */   "nsuperior",
/* 247 */   "msuperior",
/* 248 */   "commasuperior",
/* 249 */   "periodsuperior",
/* 250 */   "Dotaccentsmall",
/* 251 */   "Ringsmall",
/* 252 */   ".notdef",
/* 253 */   ".notdef",
/* 254 */   ".notdef",
/* 255 */   ".notdef",
